- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Creates a Boundary under a parent Folder or Organization.
Creating a Boundary triggers the creation of a Management Project if one is not supplied.
HTTP request
POST https://cloudresourcemanager.googleapis.com/v3/{parent=folders/*}/boundaries
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent resource under which the Boundary will be created. Format: |
Query parameters
| Parameters | |
|---|---|
boundaryId |
Required. The user-assigned ID for the Boundary, which will become the final component of the Boundary's resource name. Must be unique within the parent resource. It must be 6 to 30 lowercase ASCII letters, digits, or hyphens. It must start with a letter. Trailing hyphens are prohibited. Example: |
Request body
The request body contains an instance of Boundary.
Response body
If successful, the response body contains a newly created instance of Operation.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.